Monday, November 23, 2009

Java 1.5 update 4 issues with Snow Leopard

CAfter Mac OS X Snow Leopard upgrade, I had to download Java 1.5 update 4 and got following error:


Java for Mac OS X 10.5 update 4 can't be installed on this disk. This software can only be installed on Mac OS X Leopard




Here is a solution:

  1. Click on Finder -> Utilities -> Disk Utility 
  2. Click on HD and run Repair HD Permissions
  3. Restart you Mac and magic should start happening!

Also see: